package com.ssm.manage.service;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.AccountTradeRecord;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.query.AccountTradeRecordRequest;
import com.ssm.manage.response.AccountTradeRecordResponse;

import java.text.ParseException;
import java.util.List;

public interface SsmAccountTradeRecordService extends BaseService<AccountTradeRecord> {
    void createTable();

    int addRecord(AccountTradeRecord accountTradeRecord) throws SmsException;
    int addRecord1(AccountTradeRecord accountTradeRecord) throws SmsException;

    List<AccountTradeRecord> selectList(AccountTradeRecordRequest tradeRecordRequest);
    List<AccountTradeRecord> selectById(AccountTradeRecordRequest tradeRecordRequest);

    PageInfo<AccountTradeRecord> selectPage(AccountTradeRecordRequest tradeRecordRequest);
    PageInfo<AccountTradeRecordResponse> selectPages(AccountTradeRecordRequest tradeRecordRequest);
    PageInfo<AccountTradeRecordResponse> selectPagesNew(AccountTradeRecordRequest tradeRecordRequest);

    int insertBatch(List<AccountTradeRecord> list);
    //补单短信重发
    AccountTradeRecord retransmission(AccountTradeRecord accountTradeRecord) throws SmsException, ParseException;

    List<AccountTradeRecord> selectListByMonthly(AccountTradeRecordRequest accountTradeRecordRequest);

    int updateMemberName(AccountTradeRecordRequest accountTradeRecordRequest);
}
